We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

Duda: ¿kernel con GRSEC ?


Ferny
24/04/2009, 15:30
Yo prefiero no depender de las actualizaciones de OVH y me compilo mis propios kernels... no es nada difícil y hasta existe un manual paso a paso: http://guias.ovh.es/Release2Kernel

En cuanto al grsecurity vengo utilizando los "test patches" (versiones no estables) desde hace meses y de momento ningún problema, eso sí, no los instalo al día siguiente de que salgan, por si acaso espero dos o tres días para ver si reportan algún fallo...

Saludos

Kilburn
24/04/2009, 15:06
No se trata de añadirlo al netboot, se trata de que la 2.6.27.10 es la ultima version estable de grsecurty :P

a-n-t-o-n-i-o
16/04/2009, 20:59
Cita Publicado inicialmente por Power
Hola,

Pues resulta que en mi servidor tengo instalado el kernel 2.6.24.5 x86 & SMP & GRSEC

Aparecieron posteriormente otros kernels, pero el más moderno que hay, el 2.6.28.4 x86 & SMP, no tiene los parches grsecurity

He consultado a OVH y de momento no han podido decirme para cuando sacarán el último kernel con los parches grsecurity.

¿Me aconsejáis pasarme al 2.6.28.4 x86 & SMP aunque no tenga los parches grsecurity?
¿O instalo el 2.6.27.10 x86 & SMP & GRSEC que aunque es anterior sí tiene los parches?
¿Añaden mucha seguridad los parches grsecurity?

Se agradecen vuestros comentarios y consejos.

Saludos
si añaden bastante mas seguridad los grsecurity, pero tambien lo hace un kernel superior y mas aun siendo el x.x.28.x en favor del x.x.27.x, la duda logicamente es, ¿añade mas seguridad este extra que una nueva version de kernel?
Quiza si, yo almenos eso creo, aunq la diferencia puede no ser suficiente como para complicarse demasiado en elegir una u otra.

yo tengo un servidor con la 27 y grsc y otro server con la 28 sin el y estoy muy tranquilo con ambos, lo cierto es que no debe ser muy complicado añadirlo al netboot pero bueno, ovh sabra que problemas se estaran encontrando, quiza esperen a la proxima revision del kernel para añadir el grsc

Power
16/04/2009, 19:38
Hola,

Pues resulta que en mi servidor tengo instalado el kernel 2.6.24.5 x86 & SMP & GRSEC

Aparecieron posteriormente otros kernels, pero el más moderno que hay, el 2.6.28.4 x86 & SMP, no tiene los parches grsecurity

He consultado a OVH y de momento no han podido decirme para cuando sacarán el último kernel con los parches grsecurity.

¿Me aconsejáis pasarme al 2.6.28.4 x86 & SMP aunque no tenga los parches grsecurity?
¿O instalo el 2.6.27.10 x86 & SMP & GRSEC que aunque es anterior sí tiene los parches?
¿Añaden mucha seguridad los parches grsecurity?

Se agradecen vuestros comentarios y consejos.

Saludos